package model

import "context"

// ITrans 事务管理接口
type ITrans interface {
	// Begin 开始事务
	Begin(ctx context.Context) (interface{}, error)
	// Commit 提交事务
	Commit(ctx context.Context, trans interface{}) error
	// Rollback 回滚事务
	Rollback(ctx context.Context, trans interface{}) error
}
